package com.duiba.tuia.youtui.web.model.req;/**
 * Created by chengdeman .
 * 17/9/12 .
 */

import org.apache.commons.lang3.StringUtils;

/**
 * 广告效果回传请求
 *
 * @author chengdeman
 * @create 2017-09-12 下午3:48
 **/
public class AdvertEffectReq  {


    /**
     * 推啊订单ID，必填
     */
    private String a_tuiaId ;

    /**
     * 推啊订单Id，新
     */
    private String a_oId;

    /**
     * 推啊用户ID，必填
     */
    private Long a_cid ;

    /**
     * 用户转化时间戳，必填
     */
    private String a_timeStamp ;


    /**
     * 类型 ：7:曝光；8:转化 ，必填

     */
    private int type;

    /**
     * 用户Ip；必填
     */
    private String  ip;


    /**
     * 合作伙伴key密钥；必填
     */
    private String  partnerKey;

    /**
     * 签名；必填
     */
    private String  signature;

    /**
     * 用户名  ； 非必填
     */
    private String userName ;

    /**
     * sex  性别  1:男；2:女  非必填
     */
    private int sex;

    /**
     * 用户手机号； 非必填
     */
    private String phone ;

    /**
     * 用户年龄； 非必填
     */
    private int age ;

    /**
     * 地区；非必填
     */
    private String area ;

    /**
     * 请求类型；非必填
     */
    private String requestType;


    /**
     * 用户机器码； 非必填
     */
    private String  device;

    /**
     * 类型 ：1:注册；2:激活
     */
    private int subType;

    /**
     * 扩展字段，与广告主约定
     */
    private String ex;


    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getA_tuiaId() {
        //优先返回oId
        return StringUtils.isBlank(a_oId) ? a_tuiaId : a_oId;
    }

    public void setA_tuiaId(String a_tuiaId) {
        this.a_tuiaId = a_tuiaId;
    }

    public String getA_oId() {
        return a_oId;
    }

    public void setA_oId(String a_oId) {
        this.a_oId = a_oId;
    }

    public Long getA_cid() {
        return a_cid;
    }

    public void setA_cid(Long a_cid) {
        this.a_cid = a_cid;
    }

    public String getA_timeStamp() {
        return a_timeStamp;
    }

    public void setA_timeStamp(String a_timeStamp) {
        this.a_timeStamp = a_timeStamp;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }


    public String getPartnerKey() {
        return partnerKey;
    }

    public void setPartnerKey(String partnerKey) {
        this.partnerKey = partnerKey;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }


    public int getSubType() {
        return subType;
    }

    public void setSubType(int subType) {
        this.subType = subType;
    }

    public String getEx() {
        return ex;
    }

    public void setEx(String ex) {
        this.ex = ex;
    }
}
